<?php

	$multipurpose_blog_hi_first_color = get_theme_mod('multipurpose_blog_hi_first_color');

	$custom_css ='';
	/*---------------- Global First Color -----------*/

	if($multipurpose_blog_hi_first_color != false){
		$custom_css .='.slide-button a, #sidebar button, #comments input[type="submit"].submit, #sidebar .tagcloud a:hover, .read-moresec a, .footer-wp .tagcloud a:hover, .pagination a:hover, .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, nav.woocommerce-MyAccount-navigation ul li, #navbar-header .socialbox, input[type="submit"], .primary-navigation ul ul a:hover, .primary-navigation ul ul a:focus, #comments a.comment-reply-link{';
				$custom_css .='background-color: '.esc_html($multipurpose_blog_hi_first_color).';';
		$custom_css .='}';
	}
	if($multipurpose_blog_hi_first_color != false){
		$custom_css .='.menubar .social-media a:hover, #header .socialbox i:hover , primary-navigation ul ul a:hover, .primary-navigation ul ul a:focus, .entry-date a:hover, .entry-author a:hover,  .cat-box ul.post-categories a:hover, .date-box a:hover, .footer-wp li a:hover, .woocommerce-message::before, .woocommerce-info a{';
				$custom_css .='color: '.esc_html($multipurpose_blog_hi_first_color).';';
		$custom_css .='}';
	}
	if($multipurpose_blog_hi_first_color != false){
		$custom_css .='
		@media screen and (max-width:1000px){
			.primary-navigation ul li a:hover{';
				$custom_css .='background-color: '.esc_html($multipurpose_blog_hi_first_color).';';
		$custom_css .='} }';
	}
	if($multipurpose_blog_hi_first_color != false){
		$custom_css .='.slide-button a, #comments input[type="submit"].submit, .read-moresec a{';
				$custom_css .='border-color: '.esc_html($multipurpose_blog_hi_first_color).';';
		$custom_css .='}';
	}
	if($multipurpose_blog_hi_first_color != false){
		$custom_css .='.woocommerce-message{';
				$custom_css .='border-top-color: '.esc_html($multipurpose_blog_hi_first_color).';';
		$custom_css .='}';
	}

	/*---------------------------Width Layout -------------------*/

	$theme_lay = get_theme_mod( 'multipurpose_blog_width_layout_options','Default');
    if($theme_lay == 'Default'){
		$custom_css .='body{';
			$custom_css .='max-width: 100%;';
		$custom_css .='}';
	}else if($theme_lay == 'Container Layout'){
		$custom_css .='body{';
			$custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$custom_css .='}';
	}else if($theme_lay == 'Box Layout'){
		$custom_css .='body{';
			$custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$custom_css .='}';
	}

	/*-------------Slider Content Layout -------------------*/

	$theme_lay = get_theme_mod( 'multipurpose_blog_slider_content_layout','Center');
    if($theme_lay == 'Left'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .slide-button {';
			$custom_css .='text-align:left; left:15%; right:30%;';
		$custom_css .='}';
	}else if($theme_lay == 'Center'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .slide-button {';
			$custom_css .='text-align:left; left:25%; right:20%;';
		$custom_css .='}';
	}else if($theme_lay == 'Right'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .slide-button {';
			$custom_css .='text-align:right; left:30%; right:15%;';
		$custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$theme_lay = get_theme_mod( 'multipurpose_blog_slider_opacity','0.7');
	if($theme_lay == '0'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0';
		$custom_css .='}';
		}else if($theme_lay == '0.1'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.1';
		$custom_css .='}';
		}else if($theme_lay == '0.2'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.2';
		$custom_css .='}';
		}else if($theme_lay == '0.3'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.3';
		$custom_css .='}';
		}else if($theme_lay == '0.4'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.4';
		$custom_css .='}';
		}else if($theme_lay == '0.5'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.5';
		$custom_css .='}';
		}else if($theme_lay == '0.6'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.6';
		$custom_css .='}';
		}else if($theme_lay == '0.7'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.7';
		$custom_css .='}';
		}else if($theme_lay == '0.8'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.8';
		$custom_css .='}';
		}else if($theme_lay == '0.9'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.9';
		$custom_css .='}';
		}

		/*------------ Woocommerce Settings  -------------*/

		$multipurpose_blog_woocommerce_button_padding_top = get_theme_mod('multipurpose_blog_woocommerce_button_padding_top',15);
		if($multipurpose_blog_woocommerce_button_padding_top != false){
			$custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt{';
				$custom_css .='padding-top: '.esc_html($multipurpose_blog_woocommerce_button_padding_top).'px; padding-bottom: '.esc_html($multipurpose_blog_woocommerce_button_padding_top).'px;';
			$custom_css .='}';
		}

		$multipurpose_blog_woocommerce_button_padding_right = get_theme_mod('multipurpose_blog_woocommerce_button_padding_right',15);
		if($multipurpose_blog_woocommerce_button_padding_right != false){
			$custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt{';
				$custom_css .='padding-left: '.esc_html($multipurpose_blog_woocommerce_button_padding_right).'px; padding-right: '.esc_html($multipurpose_blog_woocommerce_button_padding_right).'px;';
			$custom_css .='}';
		}

		$multipurpose_blog_woocommerce_button_border_radius = get_theme_mod('multipurpose_blog_woocommerce_button_border_radius');
		if($multipurpose_blog_woocommerce_button_border_radius != false){
			$custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt{';
				$custom_css .='border-radius: '.esc_html($multipurpose_blog_woocommerce_button_border_radius).'px;';
			$custom_css .='}';
		}

		$multipurpose_blog_related_product_enable = get_theme_mod('multipurpose_blog_related_product_enable',true);

		if($multipurpose_blog_related_product_enable == false){
			$custom_css .='.related.products{';
				$custom_css .='display: none;';
			$custom_css .='}';
		}

		$multipurpose_blog_woocommerce_product_border_enable = get_theme_mod('multipurpose_blog_woocommerce_product_border_enable',true);

		if($multipurpose_blog_woocommerce_product_border_enable == false){
			$custom_css .='.products li{';
				$custom_css .='border: none;';
			$custom_css .='}';
		}

		$multipurpose_blog_woocommerce_product_padding_top = get_theme_mod('multipurpose_blog_woocommerce_product_padding_top',10);
		if($multipurpose_blog_woocommerce_product_padding_top != false){
			$custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$custom_css .='padding-top: '.esc_html($multipurpose_blog_woocommerce_product_padding_top).'px !important; padding-bottom: '.esc_html($multipurpose_blog_woocommerce_product_padding_top).'px !important;';
			$custom_css .='}';
		}

		$multipurpose_blog_woocommerce_product_padding_right = get_theme_mod('multipurpose_blog_woocommerce_product_padding_right',10);
		if($multipurpose_blog_woocommerce_product_padding_right != false){
			$custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$custom_css .='padding-left: '.esc_html($multipurpose_blog_woocommerce_product_padding_right).'px !important; padding-right: '.esc_html($multipurpose_blog_woocommerce_product_padding_right).'px !important;';
			$custom_css .='}';
		}

		$multipurpose_blog_woocommerce_product_border_radius = get_theme_mod('multipurpose_blog_woocommerce_product_border_radius');
		if($multipurpose_blog_woocommerce_product_border_radius != false){
			$custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$custom_css .='border-radius: '.esc_html($multipurpose_blog_woocommerce_product_border_radius).'px;';
			$custom_css .='}';
		}

		$multipurpose_blog_woocommerce_product_box_shadow = get_theme_mod('multipurpose_blog_woocommerce_product_box_shadow');
		if($multipurpose_blog_woocommerce_product_box_shadow != false){
			$custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$custom_css .='box-shadow: '.esc_html($multipurpose_blog_woocommerce_product_box_shadow).'px '.esc_html($multipurpose_blog_woocommerce_product_box_shadow).'px '.esc_html($multipurpose_blog_woocommerce_product_box_shadow).'px #eee;';
			$custom_css .='}';
		}